A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Data Fields
af_seq Struct Reference
ArrayFire Functions by Category » Functions to create and modify Arrays » Assignment & Indexing operation on arrays

C-style struct to creating sequences for indexing. More...

`#include <seq.h>`

## Data Fields
double | begin
| Start position of the sequence.
double | end
| End position of the sequence (inclusive)
double | step
| Step size between sequence values.

## Detailed Description

C-style struct to creating sequences for indexing.

Definition at line 20 of file seq.h.

## Field Documentation

## ◆ begin

double begin

Start position of the sequence.

Definition at line 22 of file seq.h.

## ◆ end

double end

End position of the sequence (inclusive)

Definition at line 25 of file seq.h.

## ◆ step

double step

Step size between sequence values.

Definition at line 28 of file seq.h.

The documentation for this struct was generated from the following file:

- seq.h